=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-rds
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

install(FILES
    rds_decoder.block.yml
    rds_encoder.block.yml
    rds_panel.block.yml
    rds_parser.block.yml DESTINATION share/gnuradio/grc/blocks
)
