=== lib/CMakeLists.txt ===
# Copyright 2021 Bastian Bloessl <mail@bastibl.net>
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-rds
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup library
########################################################################
include(GrPlatform) #define LIB_SUFFIX

list(APPEND rds_sources
    decoder_impl.cc
    encoder_impl.cc
    parser_impl.cc
)

set(rds_sources "${rds_sources}" PARENT_SCOPE)
if(NOT rds_sources)
    MESSAGE(STATUS "No C++ sources... skipping lib/")
    return()
endif(NOT rds_sources)

add_library(gnuradio-rds SHARED ${rds_sources})
target_link_libraries(gnuradio-rds gnuradio::gnuradio-runtime ${Boost_LIBRARIES})
target_include_directories(gnuradio-rds
    PUBLIC ${Boost_INCLUDE_DIR}
    PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>
    PUBLIC $<INSTALL_INTERFACE:include>
  )
set_target_properties(gnuradio-rds PROPERTIES DEFINE_SYMBOL "gnuradio_rds_EXPORTS")

if(APPLE)
    set_target_properties(gnuradio-rds PROPERTIES
        INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
    )
endif(APPLE)

########################################################################
# Install built library files
########################################################################
include(GrMiscUtils)
set(VERSION "1.1.0")
set(LIBVER "1")
GR_LIBRARY_FOO(gnuradio-rds)

########################################################################
# Print summary
########################################################################
message(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Building for version: ${VERSION} / ${LIBVER}")

########################################################################
# Build and register unit test
########################################################################
include(GrTest)

# If your unit tests require special include paths, add them here
#include_directories()
# List all files that contain Boost.UTF unit tests here
list(APPEND test_rds_sources
)
# Anything we need to link to for the unit tests go here
list(APPEND GR_TEST_TARGET_DEPS gnuradio-rds)

if(NOT test_rds_sources)
    MESSAGE(STATUS "No C++ unit tests... skipping")
    return()
endif(NOT test_rds_sources)

foreach(qa_file ${test_rds_sources})
    GR_ADD_CPP_TEST("rds_${qa_file}"
        ${CMAKE_CURRENT_SOURCE_DIR}/${qa_file}
    )
endforeach(qa_file)
