=== debian/changelog ===
gr-rds (3.10-1build20) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Aug 2025 10:25:02 +0200

gr-rds (3.10-1build19) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2025 05:34:33 +0200

gr-rds (3.10-1build18) questing; urgency=medium

  * Rebuild against latest gnuradio

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 May 2025 11:55:40 -0400

gr-rds (3.10-1build17) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 30 Jan 2025 14:46:29 +0000

gr-rds (3.10-1build16) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 06:05:45 +0100

gr-rds (3.10-1build15) oracular; urgency=medium

  * No-change rebuild for gnuradio-3.10.11.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 26 Jul 2024 08:13:08 +0100

gr-rds (3.10-1build14) oracular; urgency=high

  * No change rebuild against gnuradio.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 14 May 2024 10:25:37 +0200

gr-rds (3.10-1build13) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:20:37 +0000

gr-rds (3.10-1build12) noble; urgency=medium

  * No-change rebuild against gnuradio t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Mar 2024 02:41:01 +0100

gr-rds (3.10-1build11) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 21 Jan 2024 07:41:04 +0000

gr-rds (3.10-1build10) noble; urgency=medium

  * No-change rebuild for gnuradio soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Jan 2024 11:44:47 +0100

gr-rds (3.10-1build9) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Dec 2023 23:15:38 +0100

gr-rds (3.10-1build8) noble; urgency=medium

  * Rebuild against latest gnuradio

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 30 Oct 2023 07:35:29 -0400

gr-rds (3.10-1build7) noble; urgency=medium

  * Rebuild against latest gnuradio

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 30 Oct 2023 07:35:22 -0400

gr-rds (3.10-1build6) mantic; urgency=medium

  * Rebuild against new gnuradion 3.10.7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Sep 2023 11:24:45 +0200

gr-rds (3.10-1build5) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Dec 2022 03:38:53 +0000

gr-rds (3.10-1build4) lunar; urgency=medium

  * No-change rebuild with gnuradio 3.10.4

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 18 Nov 2022 13:52:42 -0300

gr-rds (3.10-1build3) kinetic; urgency=medium

  * No-change rebuild against libgnuradio-runtime3.10.3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Jul 2022 17:54:52 +0000

gr-rds (3.10-1build2) kinetic; urgency=medium

  * No-change rebuild against libgnuradio-runtime3.10.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 May 2022 01:04:34 +0000

gr-rds (3.10-1build1) jammy; urgency=medium

  * No-change rebuild against gnuradio 3.10.1

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 08 Feb 2022 13:59:52 +0000

gr-rds (3.10-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 20 Jan 2022 22:33:05 -0500
