=== debian/control ===
Source: gr-rds
Section: libdevel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
	       dh-python,
	       doxygen,
               gnuradio-dev (>=3.9),
	       graphviz,
	       libboost-dev,
	       libboost-locale-dev,
	       libboost-regex-dev,
	       libboost-system-dev,
               pkg-config,
	       python3-dev,
	       python3-numpy,
               python3-pybind11
Standards-Version: 4.6.0
Homepage: https://github.com/bastibl/gr-rds
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gr-rds
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gr-rds.git

Package: gr-rds
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends}, gnuradio-dev,
         libgnuradio-rds1  (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNU Radio FM RDS/TMC Transceiver
 A Radio Data System - Traffic Message Channel (RDS-TMC) block
 for GNU Radio.
 .
 Radio Data System (RDS) is a communications protocol standard for
 embedding  small amounts of digital information in conventional
 FM radio broadcasts.
 .
 gr-rds provides GNU Radio Companion flowgraphs to handle RDS data.
 
Package: libgnuradio-rds1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-rds
Description: GNU Radio FM RDS/TMC Transceiver (library)
 A Radio Data System - Traffic Message Channel (RDS-TMC) block
 for GNU Radio.
 .
 Radio Data System (RDS) is a communications protocol standard for
 embedding  small amounts of digital information in conventional
 FM radio broadcasts.
 .
 This package provides a shared library.
